php56u-pecl-amqp-1.9.1-1.ius.centos6.x86_64.rpm


Advertisement

Description

php56u-pecl-amqp - Communicate with any AMQP compliant server

Property Value
Distribution CentOS 6
Repository IUS Community Packages Archive x86_64
Package filename php56u-pecl-amqp-1.9.1-1.ius.centos6.x86_64.rpm
Package name php56u-pecl-amqp
Package version 1.9.1
Package release 1.ius.centos6
Package architecture x86_64
Package type rpm
Category Development/Languages
Homepage http://pecl.php.net/package/amqp
License PHP
Maintainer -
Download size 98.17 KB
Installed size 399.05 KB
This extension can communicate with any AMQP spec 0-9-1 compatible server,
such as RabbitMQ, OpenAMQP and Qpid, giving you the ability to create and
delete exchanges and queues, as well as publish to any exchange and consume
from any queue.

Alternatives

Package Version Architecture Repository
php56u-pecl-amqp-1.9.3-2.ius.centos6.x86_64.rpm 1.9.3 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.9.3-2.ius.centos6.i686.rpm 1.9.3 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.9.3-1.ius.centos6.x86_64.rpm 1.9.3 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.9.3-1.ius.centos6.i686.rpm 1.9.3 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.9.1-1.ius.centos6.i686.rpm 1.9.1 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.9.0-1.ius.centos6.x86_64.rpm 1.9.0 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.9.0-1.ius.centos6.i686.rpm 1.9.0 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.8.0-1.ius.centos6.x86_64.rpm 1.8.0 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.8.0-1.ius.centos6.i686.rpm 1.8.0 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.7.1-1.ius.centos6.x86_64.rpm 1.7.1 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.7.1-1.ius.centos6.i686.rpm 1.7.1 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.7.0-2.ius.centos6.x86_64.rpm 1.7.0 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.7.0-2.ius.centos6.i686.rpm 1.7.0 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.7.0-1.ius.centos6.x86_64.rpm 1.7.0 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.7.0-1.ius.centos6.i686.rpm 1.7.0 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.6.1-2.ius.centos6.x86_64.rpm 1.6.1 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.6.1-2.ius.centos6.i686.rpm 1.6.1 i686 IUS Community Packages Archive
php56u-pecl-amqp-1.6.1-1.ius.centos6.x86_64.rpm 1.6.1 x86_64 IUS Community Packages Archive
php56u-pecl-amqp-1.6.1-1.ius.centos6.i686.rpm 1.6.1 i686 IUS Community Packages Archive
php56u-pecl-amqp - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -
librabbitmq.so.1()(64bit) -
php(api) = 20131106-64
php(zend-abi) = 20131226-64
php56u-pear -
rtld(GNU_HASH) -

Provides

Name Value
php-amqp = 1.9.1
php-amqp(x86-64) = 1.9.1
php-pecl(amqp) = 1.9.1
php-pecl(amqp)(x86-64) = 1.9.1
php-pecl-amqp = 1.9.1
php-pecl-amqp(x86-64) = 1.9.1
php56u-amqp = 1.9.1
php56u-amqp(x86-64) = 1.9.1
php56u-pecl(amqp) = 1.9.1
php56u-pecl(amqp)(x86-64) = 1.9.1
php56u-pecl-amqp = 1.9.1-1.ius.centos6
php56u-pecl-amqp(x86-64) = 1.9.1-1.ius.centos6

Conflicts

Name Value
php-pecl-amqp < 1.9.1

Download

Type URL
Mirror dl.iuscommunity.org
Binary Package php56u-pecl-amqp-1.9.1-1.ius.centos6.x86_64.rpm
Source Package php56u-pecl-amqp-1.9.1-1.ius.centos6.src.rpm

Install Howto

  1. Download latest ius-release rpm:
    https://centos6.iuscommunity.org/ius-release.rpm
  2. Install ius-release rpm:
    # rpm -Uvh ius-release*rpm
  3. Install php56u-pecl-amqp rpm package:
    # yum --enablerepo=ius-archive install php56u-pecl-amqp

Files

Path
/etc/php-zts.d/40-amqp.ini
/etc/php.d/40-amqp.ini
/usr/lib64/php-zts/modules/amqp.so
/usr/lib64/php/modules/amqp.so
/usr/share/doc/pecl/amqp/CREDITS
/usr/share/doc/pecl/amqp/benchmark.php
/usr/share/doc/pecl/amqp/stubs/AMQP.php
/usr/share/doc/pecl/amqp/stubs/AMQPBasicProperties.php
/usr/share/doc/pecl/amqp/stubs/AMQPChannel.php
/usr/share/doc/pecl/amqp/stubs/AMQPChannelException.php
/usr/share/doc/pecl/amqp/stubs/AMQPConnection.php
/usr/share/doc/pecl/amqp/stubs/AMQPConnectionException.php
/usr/share/doc/pecl/amqp/stubs/AMQPDecimal.php
/usr/share/doc/pecl/amqp/stubs/AMQPEnvelope.php
/usr/share/doc/pecl/amqp/stubs/AMQPException.php
/usr/share/doc/pecl/amqp/stubs/AMQPExchange.php
/usr/share/doc/pecl/amqp/stubs/AMQPExchangeException.php
/usr/share/doc/pecl/amqp/stubs/AMQPQueue.php
/usr/share/doc/pecl/amqp/stubs/AMQPQueueException.php
/usr/share/doc/pecl/amqp/stubs/AMQPTimestamp.php
/usr/share/doc/pecl/amqp/stubs/AMQPValueException.php
/usr/share/doc/php56u-pecl-amqp-1.9.1/LICENSE
/var/lib/pear/pkgxml/amqp.xml

Changelog

2017-06-12 - Carl George <carl.george@rackspace.com> - 1.9.1-1.ius
- Latest upstream
2017-03-21 - Carl George <carl.george@rackspace.com> - 1.9.0-1.ius
- Latest upstream
- Set minimum rabbitmq-server version for test suite
- Use a random port and node name to avoid conflicts during test suite
- Use modern conditionals for zts and tests
2017-02-17 - Carl George <carl.george@rackspace.com> - 1.8.0-1.ius
- Latest upstream
2016-07-11 - Carl George <carl.george@rackspace.com> - 1.7.1-1.ius
- Latest upstream
2016-06-16 - Ben Harper <ben.harper@rackspace.com> - 1.7.0-2.ius
- update filters to include zts
2016-05-06 - Carl George <carl.george@rackspace.com> - 1.7.0-1.ius
- Latest upstream
- Install package.xml as %{pecl_name}.xml, not %{name}.xml
- Drop release from provides/conflict
- Clean up filters
- Move license to correct directory
- Set CFLAGS in config.m4 (Fedora)
2016-03-02 - Carl George <carl.george@rackspace.com> - 1.6.1-2.ius
- Explicitly require IUS pear package
- Clean up provides
- Conflict with stock package
2015-12-10 - Ben Harper <ben.harper@rackspace.com> - 1.6.1-1.ius
- Port from Fedora to IUS
2015-11-26 - Remi Collet <remi@fedoraproject.org> - 1.6.1-1
- update to 1.6.1 (stable)
2015-11-03 - Remi Collet <remi@fedoraproject.org> - 1.6.0-1
- update to 1.6.0 (stable)
- fix typo in config file

See Also

Package Description
php56u-pecl-apcu-4.0.10-1.ius.centos6.x86_64.rpm APC User Cache
php56u-pecl-apcu-4.0.11-1.ius.centos6.x86_64.rpm APC User Cache
php56u-pecl-apcu-4.0.11-2.ius.centos6.x86_64.rpm APC User Cache
php56u-pecl-apcu-4.0.7-3.ius.centos6.x86_64.rpm APC User Cache
php56u-pecl-apcu-4.0.7-4.ius.centos6.x86_64.rpm APC User Cache
php56u-pecl-apcu-4.0.7-5.ius.centos6.x86_64.rpm APC User Cache
php56u-pecl-apcu-4.0.7-6.ius.centos6.x86_64.rpm APC User Cache
php56u-pecl-apcu-4.0.8-1.ius.centos6.x86_64.rpm APC User Cache
php56u-pecl-apcu-devel-4.0.10-1.ius.centos6.x86_64.rpm APCu developer files (header)
php56u-pecl-apcu-devel-4.0.11-1.ius.centos6.x86_64.rpm APCu developer files (header)
php56u-pecl-apcu-devel-4.0.11-2.ius.centos6.x86_64.rpm APCu developer files (header)
php56u-pecl-apcu-devel-4.0.7-3.ius.centos6.x86_64.rpm APCu developer files (header)
php56u-pecl-apcu-devel-4.0.7-4.ius.centos6.x86_64.rpm APCu developer files (header)
php56u-pecl-apcu-devel-4.0.7-5.ius.centos6.x86_64.rpm APCu developer files (header)
php56u-pecl-apcu-devel-4.0.7-6.ius.centos6.x86_64.rpm APCu developer files (header)
Advertisement
Advertisement